
Packaging - Bug #2035

missing RPMs & dep issues in /rc/el6/x86_64 on 2012-12-11

12/11/2012 04:00 PM - Joshua Hoblitt

Status: Closed   

Priority: High   

Assignee: Sam Kottler   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

RPMs for apipie-rails and rabl are missing from the RC repo.  The fog 1.8 package is present but the foreman spec file sets the

requirement as >= 1.4 so the updated package isn't pulled in by yum during an upgrade.

[root@ctrl foreman]# rake db:migrate RAILS_ENV="production" 

rake aborted!

Could not find gem 'apipie-rails (>= 0)' in any of the gem sources listed in your Gemfile.

 
[root@ctrl foreman]# rake db:migrate RAILS_ENV="production" 

rake aborted!

Could not find gem 'rabl (>= 0)' in any of the gem sources listed in your Gemfile.

 
[root@ctrl foreman]# rake db:migrate RAILS_ENV="production" 

rake aborted!

Could not find gem 'fog (>= 1.8)' in any of the gem sources listed in your Gemfile.

History

#1 - 12/11/2012 04:02 PM - Ohad Levy

- Assignee set to Sam Kottler

- Priority changed from Normal to High

#2 - 12/11/2012 04:29 PM - Sam Kottler

- Status changed from New to Assigned

Working on these issues now.

#3 - 12/11/2012 11:03 PM - Sam Kottler

- Status changed from Assigned to Feedback

I've just updated the RC repo with the new gems and requirements. Can you test it out?

#4 - 12/12/2012 01:24 PM - Joshua Hoblitt

I stripped out the manually installed gems and some of the foreman packages.  Deps look good now!

================================================================================

 Package                    Arch         Version            Repository     Size

================================================================================

Updating:

 foreman                    noarch       1.1RC1-3.el6       foreman       1.0 M

Installing for dependencies:

 rubygem-apipie-rails       noarch       0.0.11-3.el6       foreman       138 k

 rubygem-rabl               noarch       0.7.5-1.el6        foreman       273 k

Updating for dependencies:

 foreman-cli                noarch       1.1RC1-3.el6       foreman       6.0 k

 foreman-console            noarch       1.1RC1-3.el6       foreman       7.1 k
Transaction Summary

================================================================================

Install       2 Package(s)

Upgrade       3 Package(s)

 
================================================================================

 Package                Arch          Version              Repository      Size

================================================================================

Installing:

 foreman-ec2            noarch        1.1RC1-3.el6         foreman        7.1 k

 foreman-libvirt        noarch        1.1RC1-3.el6         foreman        7.5 k

 foreman-vmware         noarch        1.1RC1-3.el6         foreman        7.0 k

Installing for dependencies:

 rubygem-fog            noarch        1.8.0-1.el6          foreman        2.3 M

Transaction Summary

================================================================================

Install       4 Package(s)

#5 - 12/12/2012 01:26 PM - Sam Kottler

- Status changed from Feedback to Closed
